package com.iwunu.nbiot.lock.service;

import com.alibaba.fastjson.JSONObject;
import com.iwunu.nbiot.lock.entity.CmdData;

public interface IotCmdDataService {
	 Integer getPitNumByCmdType(String deviceId,String cmdType);
	 CmdData save(String deviceId,JSONObject cmdData);
	 CmdData update(CmdData  cmdData);
	 void delete(CmdData cmdData) ;
	 void deleteByDeviceId(String deviceId) ;
	 void deleteByDeviceIdAndCmdType(String deviceId,String cmdType) ;
	 CmdData findListByCmdStampAndDeviceId(String deviceId,String random,String stamptime);
	 
}
